
TYPO3.Neos - Bug # 10310

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category:
Created: 2010-10-18 Assigned To: Christian Müller
Updated: 2010-10-20 Due date:
Subject: TYPO3 is GPL, not LGPL
Description

In a bunch of JS files the header mentions LGPL, this is wrong and must be fixed!

Associated revisions
Revision 5d915326 - 2010-10-18 14:20 - Christian Müller

[+BUGFIX] TYPO3 (Comments): TYPO3 is GPL, not LGPL

In a bunch of JS files the header mentions LGPL, this change fixes that.

Change-Id: Ia7078d6fe87d22cda85488ea060d5e0aa30371cb
Fixes: #10310

History
#1 - 2010-10-18 00:17 - Karsten Dambekalns
- Subject changed from TYPO3 is GLP, not LGPL to TYPO3 is GPL, not LGPL

#2 - 2010-10-18 08:43 - Christian Müller
- Status changed from New to Accepted
- Assigned To set to Christian Müller

Clearly something I can fix.

#3 - 2010-10-18 08:49 - Rens Admiraal

note:
When I do "grep -ir 'LGPL' *" in the root of my Phoenix installation I got a lot of links to http://www.gnu.org/licenses/lgpl.html in the copyright header /
comments. Is this also wrong?

#4 - 2010-10-18 08:51 - Christian Müller

Good question, I would say it should be http://www.gnu.org/licenses/gpl.html, I know of nothing else than plan GPL for TYPO3. But maybe some
external libraries could be LGPL. I will cross-check it.

#5 - 2010-10-18 09:59 - Karsten Dambekalns

Rens Admiraal wrote:
When I do "grep -ir 'LGPL' *" in the root of my Phoenix installation I got a lot of links to http://www.gnu.org/licenses/lgpl.html in the copyright header
/ comments. Is this also wrong?

No, as FLOW3 and it dependencies are LGPL. Simply search for "Lesser" in the TYPO3 package to find the stuff I meant.

#6 - 2010-10-18 10:21 - Rens Admiraal

Cool, these are my files... Think I copied the notice from flow3.org...

#7 - 2010-10-18 10:52 - Christian Müller
- Status changed from Accepted to Under Review

#8 - 2010-10-18 14:30 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"5d9153263cb6936b43e072d541c821166cfcb645".
